- Home
- API Enriched
- Shape
- shape
- ATB
ATB
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/atb';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"daily":{"report_generation_time":"example"},"enable":true,"monthly":{"date":"DATE_NONE","report_generation_time":"example"},"namespace":"example","resource_id":"example","virtual_host":"example","weekly":{"day":"WEEKDAY_NONE","report_generation_time":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/atb \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "daily": { "report_generation_time": "example" }, "enable": true, "monthly": { "date": "DATE_NONE", "report_generation_time": "example" }, "namespace": "example", "resource_id": "example", "virtual_host": "example", "weekly": { "day": "WEEKDAY_NONE", "report_generation_time": "example" } }'Enable/disable ATB.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope traffic overview query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for ATB.
object
object
Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.
Enable ATB or not.
object
Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.
Namespace is used to scope traffic overview query. Only virtual_host in given namespace will be considered. Required: YES.
Resource ID of ATB report configuration object.
Name of Virtual Host to scope traffic overview query Required: YES.
object
Times are in UTC time. Generating reports may be delayed up to 30 minutes from the time set. Required: YES.
Responses
Section titled “Responses”A successful response.
Response for ATB.
object
Enable ATB or not.
Examplegenerated
{ "enable": true}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example